<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Get updates of my network/group
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

/**
* \brief Get data from the icalendar url
*
*   return xml file
*
* @param [in]  (GET) 
*   url - icalendar url
*
*  \relatesalso
*   modules/p_calendar.php
*  get__MODULE_ID__
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

$folder="";
$not_access=1;
$granted="I";
$pagename="portal/xml_icalendar.php";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/http.inc.php');
require_once('../includes/xml.inc.php');

//variables
$url  = (isset($_POST["url"])) ? $_POST["url"] : exit();
$url = preg_replace('/webcal:\/\//i', "http://", $url);
$url = preg_replace('/#/i', "%23", $url);
$url = preg_replace('/@/', "%40", $url);
$url = preg_replace('/ /', "%20", $url);
if( preg_match("/http:\/\//",$url)==0 ) {
	$url = "http://".$url;
}
//check url 
$h = new http($url);
$data = $h->get();
$file=new xmlFile();
$file->header("ical");
echo "<url>$url</url>";
echo "<cal><![CDATA[$data]]></cal>";
$file->footer("ical");

$DB->close();
?>